#ifndef __IMPL_H__
#define __IMPL_H__
/****************************************************************************
          Copyright (C) 1998, Karl Franzens University, Graz

          THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND THE KARL FRANZENS
          UNIVERSITY DOES NOT MAKE ANY WARRANTY ABOUT THE SOFTWARE, ITS
          PERFORMANCE, ITS MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
          USE, FREEDOM FROM ANY COMPUTER DISEASES OR ITS CONFORMITY TO ANY
          SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF
          THE SOFTWARE IS WITH THE USER.

          Copyright of the software and supporting documentation is
          owned by the Karl Franzens University, and free access
          is hereby granted as a license to use this software, copy this
          software and prepare derivative works based upon this software.
          However, any distribution of this software source code or
          supporting documentation or derivative works (source code and
          supporting documentation) must include this copyright notice.
****************************************************************************/

/***************************************************************************
 *
 * Karl Franzens University, Graz
 * UCDMC99 DICOM Network Transport Libraries 
 * Version 0.1 Beta
 *
 * Technical Contact: gunter.zeilinger@kfunigraz.ac.at
 *
 ***************************************************************************/

const char IMPL_CLASS_UID[] = "1.2.40.0.12.0.9907";
#ifdef WIN32
const char IMPL_VERSION_NAME[] = "UCDMC9907pc";
#elif SUNOS5
const char IMPL_VERSION_NAME[] = "UCDMC9907sn";
#elif __VMS
const char IMPL_VERSION_NAME[] = "UCDMC9907vms";
#else
const char IMPL_VERSION_NAME[] = "UCDMC9907";
#endif

//const char* makeUID(char* buffer);
std::string makeUID(const std::string& Prefix);
#endif //__IMPL_H__